CVE-2022-34903

Name
CVE-2022-34903
Description
GnuPG through 2.3.6, in unusual situations where an attacker possesses any secret-key information from a victim's keyring and other constraints (e.g., use of GPGME) are met, allows signature forgery via injection into the status line.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://dev.gnupg.org/T6027
MISC https://bugs.debian.org/1014157
MISC https://www.openwall.com/lists/oss-security/2022/06/30/1
MLIST http://www.openwall.com/lists/oss-security/2022/07/02/1
DEBIAN https://www.debian.org/security/2022/dsa-5174
FEDORA https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/NPTAR76EIZY7NQFENSOZO7U473257OVZ/
Mailing List https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/VN63GBTMRWO36Y7BKA2WQHROAKCXKCBL/
Mailing List https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/FRLWJQ76A4UKHI3Q36BKSJKS4LFLQO33/
Mailing List https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/VU64FUVG2PRZBSHFOQRSP7KDVEIZ23OS/
Third Party Advisory https://security.netapp.com/advisory/ntap-20220826-0005/

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:gnupg:gnupg:*:*:*:*:*:*:*:* gnupg >= None <= 2.3.6

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
gnupg 3.16-main 2.2.35-r4 Natanael Copa <ncopa@alpinelinux.org> fixed
gnupg 3.15-main 2.2.31-r2 Natanael Copa <ncopa@alpinelinux.org> fixed
gnupg 3.14-main 2.2.31-r1 Natanael Copa <ncopa@alpinelinux.org> fixed
gnupg 3.13-main 2.2.31-r1 Natanael Copa <ncopa@alpinelinux.org> fixed
gnupg 3.17-main 2.2.40-r0 Natanael Copa <ncopa@alpinelinux.org> fixed